# $Revision: 1.41.2.1 $, $Date: 2004/06/08 16:14:54 $
Summary:	DirectConnect support library for dcgui-qt
Summary(pl):	Biblioteka obsugujca DirectConnect dla dcgui-qt
Name:		dclib
Version:	0.3.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://download.berlios.de/dcgui/%{name}-%{version}.tar.bz2
# Source0-md5:	4e4914382d793fa9106617382a769b85
URL:		http://dcgui.berlios.de/
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	openssl-devel >= 0.9.6m
Requires:	libxml2 > 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectConnect support library for dcgui-qt.

%description -l pl
Biblioteka obsugujca DirectConnect dla dcgui-qt.

%package devel
Summary:	Header files for dclib
Summary(pl):	Pliki nagwkowe dla dclib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	libstdc++-devel
Requires:	libxml2-devel > 2.0.0
Requires:	openssl-devel

%description devel
Header files for dclib.

%description devel -l pl
Pliki nagwkowe dla dclib.

%package static
Summary:	Static dclib library
Summary(pl):	Statyczna biblioteka dclib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static dclib library.

%description static -l pl
Statyczna biblioteka dclib.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{_libdir}/libdc.so.*.*
%{_datadir}/dcgui

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/dclib
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dclib.spec,v $
Revision 1.41.2.1  2004/06/08 16:14:54  blues
- 0.3.2, rel.1 for RA

Revision 1.41  2004/06/05 13:12:31  freetz
- 0.3.2

Revision 1.40  2004/05/31 17:58:45  freetz
- 0.3.1, %%files updated

Revision 1.39  2004/05/19 17:24:17  kolodko
- updated URL

Revision 1.38  2004/05/09 18:12:29  blues
- release 2

Revision 1.37  2004/05/03 18:43:04  freetz
- 0.2.22 (fixes hub name change issue)

Revision 1.36  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.35  2004/03/04 18:34:39  qboosh
- BR: libstdc++-devel, openssl-devel; devel deps
- fixed Groups (X not used), strict internal deps, release 2

Revision 1.34  2004/03/04 14:11:16  pawelb
- up to 0.2.21

Revision 1.33  2004/01/02 16:06:21  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.32  2003/12/27 20:27:56  undefine
- copy config.sub to allow build on amd64. btw - ac/am doesn't regenerate propertly here...

Revision 1.31  2003/12/08 12:21:17  qboosh
- it uses libpthread not pth - removed pth deps

Revision 1.30  2003/10/12 08:41:32  luzik
 - updated to 0.2.20
 - added "rus" translation

Revision 1.29  2003/09/15 22:17:07  luzik
 - updated to 0.2.19

Revision 1.28  2003/08/21 06:04:54  luzik
 - updated to 0.2.18

Revision 1.27  2003/08/13 09:50:35  luzik
 - updated to 0.2.17

Revision 1.26  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.25  2003/06/22 14:41:24  misi3k
- updated to 0.2.16

Revision 1.24  2003/06/16 09:28:14  luzik
 - updateg to 0.2.15

Revision 1.23  2003/06/08 23:13:39  luzik
 - updated to 0.2.14

Revision 1.22  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/22 23:48:50  luzik
 - updated to 0.2.13

Revision 1.19  2003/04/15 21:49:18  luzik
- updated to 0.2.10

Revision 1.18  2003/04/14 15:29:42  mmazur
- updated to 0.2.9

Revision 1.17  2003/03/28 22:17:49  mmazur
- updated to 0.2.8

Revision 1.16  2003/02/14 14:57:46  blues
- 0.2.5

Revision 1.15  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.14  2002/12/30 11:56:00  qboosh
- added missing ldconfig, fixed broken file lists, cleanups
- release 3

Revision 1.13  2002/12/25 19:23:09  djurban
- Rel 2
- Some updates :), xml patch wont be necessary.

Revision 1.12  2002/12/25 18:31:34  djurban
- Spec rewritten, I will take a look at the patch in a second
- Rel 1 (it does work, no need to do 0.x rel)
